from ssdpy import SSDPClient


class FlickerstripDiscoveryClient:
    def __init__(self):
        self.client = SSDPClient()

    def discover(self):
        print("Discovering devices...")
        devices = self.client.m_search("ssdp:all")
        print(f"Discovered {len(devices)} devices.")
        for device in devices:
            print(device)


if __name__ == "__main__":
    client = FlickerstripDiscoveryClient()
    client.discover()
